/*******************************************************************************
 * ParticleModuleRequired generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleModuleRequired extends ParticleModule
    native(Particle)
    editinlinenew
    hidecategories(Object,Object,Cascade);

enum EParticleSortMode
{
    PSORTMODE_None,
    PSORTMODE_ViewProjDepth,
    PSORTMODE_DistanceToView,
    PSORTMODE_Age_OldestFirst,
    PSORTMODE_Age_NewestFirst,
    PSORTMODE_MAX
};

enum EEmitterNormalsMode
{
    ENM_CameraFacing,
    ENM_Spherical,
    ENM_Cylindrical,
    ENM_MAX
};

var(Emitter) MaterialInterface Material;
var(Emitter) ParticleSpriteEmitter.EParticleScreenAlignment ScreenAlignment;
var(Emitter) ParticleModuleRequired.EParticleSortMode SortMode;
var ParticleEmitter.EParticleBurstMethod ParticleBurstMethod;
var(SubUV) ParticleEmitter.EParticleSubUVInterpMethod InterpolationMethod;
var(Normals) ParticleModuleRequired.EEmitterNormalsMode EmitterNormalsMode;
var(Emitter) bool bAllowImageFlipping;
var(Emitter) bool bSquareImageFlipping;
var(Emitter) bool bUseLocalSpace;
var(Emitter) bool bKillOnDeactivate;
var(Emitter) bool bKillOnCompleted;
var deprecated bool bRequiresSorting;
var(Emitter) bool bUseLegacyEmitterTime;
var(DistanceCulling) bool bEnableNearParticleCulling;
var(DistanceCulling) bool bEnableFarParticleCulling;
var(Duration) bool bEmitterDurationUseRange;
var(Duration) bool bDurationRecalcEachLoop;
var(Delay) bool bEmitterDelayUseRange;
var(Delay) bool bDelayFirstLoopOnly;
var(SubUV) bool bScaleUV;
var bool bDirectUV;
var(MacroUV) bool bOverrideSystemMacroUV;
var(Rendering) bool bUseMaxDrawCount;
var(Emitter) bool bOrbitModuleAffectsVelocityAlignment;
var(DistanceCulling) float NearCullDistance;
var(DistanceCulling) float NearFadeDistance;
var(DistanceCulling) float FarFadeDistance;
var(DistanceCulling) float FarCullDistance;
var(Duration) float EmitterDuration;
var(Duration) float EmitterDurationLow;
var(Duration) int EmitterLoops;
var RawDistributionFloat SpawnRate;
var noclear export array<export ParticleBurst> BurstList;
var(Delay) float EmitterDelay;
var(Delay) float EmitterDelayLow;
var(SubUV) int SubImages_Horizontal;
var(SubUV) int SubImages_Vertical;
var float RandomImageTime;
var(SubUV) int RandomImageChanges;
var(MacroUV) Vector MacroUVPosition;
var(MacroUV) float MacroUVRadius;
var(Rendering) int MaxDrawCount;
var float DownsampleThresholdScreenFraction;
var(Normals) Vector NormalsSphereCenter;
var(Normals) Vector NormalsCylinderDirection;

defaultproperties
{
    bUseLegacyEmitterTime=true
    bUseMaxDrawCount=true
    NearCullDistance=10.0
    NearFadeDistance=150.0
    FarFadeDistance=2000.0
    FarCullDistance=2100.0
    EmitterDuration=1.0
    SpawnRate=Distribution=DistributionFloatConstant'Default__ParticleModuleRequired.RequiredDistributionSpawnRate',Type=0,Op=1,LookupTableNumElements=1,LookupTableChunkSize=1,LookupTable=/* Array type was not detected. */,
/* Exception thrown while deserializing SpawnRate
System.ArgumentException: Der angeforderte Wert "*" konnte nicht gefunden werden.
   bei System.Enum.TryParseEnum(Type enumType, String value, Boolean ignoreCase, EnumResult& parseResult)
   bei System.Enum.Parse(Type enumType, String value, Boolean ignoreCase)
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    SubImages_Horizontal=1
    SubImages_Vertical=1
    MaxDrawCount=500
    NormalsSphereCenter=(X=0.0,Y=0.0,Z=100.0)
    NormalsCylinderDirection=(X=0.0,Y=0.0,Z=1.0)
    bSpawnModule=true
    bUpdateModule=true
}